TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

SmallestGeneratorPerm ( elt-grp^per P ) -> elt-grp^per

### Description

<shortdoc> 'SmallestGeneratorPerm' returns the smallest generator of the cyclic group generated by the permutation 'P'. That is the result is a permutation that generates the same cyclic group as 'P' and is with respect to the lexicographical order defined by '<' the smallest such permutation. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack